## android-account-sync 0.7

=== CMakeLists.txt ===
project(android-account-sync)

cmake_minimum_required(VERSION 2.6.0)

include(FindPkgConfig)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)

add_subdirectory(thunderbird)

=== thunderbird/CMakeLists.txt ===
project(email-account-sync)

set(EMAIL_ACCOUNT_SYNC_SRC
    ${CMAKE_CURRENT_SOURCE_DIR}/config_build.sh
    ${CMAKE_CURRENT_SOURCE_DIR}/install.rdf
    ${CMAKE_CURRENT_SOURCE_DIR}/chrome.manifest)

add_custom_target(thunderbird ALL
                  DEPENDS androidaccountmanagerproxy
                  SOURCES ${EMAIL_ACCOUNT_SYNC_SRC})

add_custom_command(TARGET thunderbird POST_BUILD
                   COMMAND sh ${CMAKE_CURRENT_BINARY_DIR}/build.sh
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                   DEPENDS ${EMAIL_ACCOUNT_SYNC_SRC}
                   )

add_subdirectory(proxy)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/build.sh.in
               ${CMAKE_CURRENT_BINARY_DIR}/build.sh @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/androidaccountsync.xpi
        DESTINATION /usr/lib/thunderbird-addons/extensions/
        RENAME androidaccountsync@ubuntu.com.xpi)

=== thunderbird/proxy/CMakeLists.txt ===
    project(androidaccountmanagerproxy)

set(ANDROID_ACCOUNT_MANAGER_PROXY_SRC
    account-proxy.h
    account-proxy.c
    account-info.h
    account-info.c)

add_library(androidaccountmanagerproxy SHARED ${ANDROID_ACCOUNT_MANAGER_PROXY_SRC})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS})

target_link_libraries(androidaccountmanagerproxy
    ${GLIB_LDFLAGS}
    ${GIO_LDFLAGS})

install(TARGETS androidaccountmanagerproxy LIBRARY DESTINATION lib)

=== debian/changelog ===
android-account-sync (0.7) precise; urgency=low

  [ Ricardo Mendoza ]
  * Prevent triggering a remote update when the account modified locally was
    created in Thunderbird.

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Thu, 12 Jul 2012 19:52:04 +0000

android-account-sync (0.6) precise; urgency=low

  * Release version 0.6
    - Update to latest Accounts API
    - Revert back to using original EmailAccountsAdded signal
 
 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Thu, 28 Jun 2012 17:03:42 +0000

android-account-sync (0.5) precise; urgency=low

  * Release version 0.5

    - Add support for Android-side modification of accounts. Propagate changes
      on Thunderbird to the corresponding Android email account.
    - Change the Thunderbird account update functionality so that it is now fully
      granular. Changes are applied on a per-field basis without the need to
      re-create the whole account.
    - Introduce a flag to check if an account is actually a remote account. This is
      to prevent removal of locally created accounts.

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Thu, 21 Jun 2012 17:01:51 +0000

android-account-sync (0.4) precise; urgency=low

  * Include the name of the service sub-directory in the D-Bus path.
    (LP: #974615)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 May 2012 11:40:04 +0200

android-account-sync (0.3) precise; urgency=low

  * Version bump for rebuild.

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 22 May 2012 09:41:15 -0430

android-account-sync (0.2) precise; urgency=low

  * Rewrite proxy interface and Thunderbird hooks to cater for the
    new version of the Android Accounts API.

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Mon, 21 May 2012 07:52:45 -0430

android-account-sync (0.1) oneiric; urgency=low

  * Android accounts sync plugins.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Fri, 12 Mar 2012 10:50:00 -0300

=== debian/control ===
Source: android-account-sync
Section: gnome
Priority: optional
Maintainer: Ricardo Mendoza <ricardo.mendoza@canonical.com>
Build-Depends: debhelper (>= 7.0.50~),
               cdbs,
               cmake,
               libglib2.0-dev,
               zip
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~newyork-team/newyork/android-accounts-sync

Package: android-account-sync-thunderbird
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-0,
         thunderbird (>= 3.0)
Description: Thunderbird plugin to keep e-mail accounts synced with android.
